Loading...
Searching...
No Matches
vkd3d_shader_scan_combined_resource_sampler_info Struct Reference

A chained structure describing the resource-sampler pairs used by a shader. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_scan_combined_resource_sampler_info:
[legend]

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_SCAN_COMBINED_RESOURCE_SAMPLER_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
struct vkd3d_shader_combined_resource_sampler_info * | combined_samplers
| Pointer to an array of resource-sampler pairs.
unsigned int | combined_sampler_count
| The number of resource-sampler pairs in combined_samplers.

## Detailed Description

A chained structure describing the resource-sampler pairs used by a shader.

This structure extends vkd3d_shader_compile_info.

The information returned in this structure can be used to populate the vkd3d_shader_interface_info::combined_samplers field. This is particularly useful when targeting environments without separate binding points for samplers and resources, like OpenGL.

No resource-sampler pairs are returned for dynamic accesses to resource/sampler descriptor arrays, as can occur in Direct3D shader model 5.1 shaders.

Members of this structure are allocated by vkd3d-shader and should be freed with vkd3d_shader_free_scan_combined_resource_sampler_info() when no longer needed.

Since
  1.10

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h